ParsingException (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.io.ParsingException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.io
Class ParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.meyling.principia.io.ParsingException

All Implemented Interfaces:
  Serializable

public class ParsingException
extends Exception

This is a construction (and checking) exception for arguments.

Version:
  $Revision: 1.6 $
Author:
  Michael Meyling
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ParsingException(int code, String description, int row, int column, int position, String line, String address)` Constructs an argument exception.

Method Summary
`String` | `getAddress()` Get address of problematic module.
`int` | `getCode()` Get exception code.
`int` | `getColumn()` Get problem column position.
`String` | `getDescription()` Get exception description.
`String` | `getLine()` Get problematic source line.
`int` | `getPosition()` Get position of problem.
`int` | `getRow()` Get row number of problem.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParsingException

    public ParsingException(int code,
                            String description,
                            int row,
                            int column,
                            int position,
                            String line,
                            String address)

  Constructs an argument exception.

Parameters:
  `code` - exception cathegory
  `description` - what is the problem
  `row` - row number of problem
  `column` - column number of problem
  `line` - problematic line
  `address` - address that describes the module location

Method Detail

### getCode

    public final int getCode()

  Get exception code.

  Returns:
    exception code

### getDescription

    public final String getDescription()

  Get exception description.

  Returns:
    exception description

### getRow

    public final int getRow()

  Get row number of problem.

  Returns:
    problem row position

### getColumn

    public final int getColumn()

  Get problem column position.

  Returns:
    problem position

### getLine

    public final String getLine()

  Get problematic source line.

  Returns:
    source line

### getAddress

    public final String getAddress()

  Get address of problematic module.

  Returns:
    address of problematic module

### getPosition

    public int getPosition()

  Get position of problem.

  Returns:
    position;

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.